osg::AnimationPath::ControlPoint Class Reference

`#include <AnimationPath>`

## Public Member Functions

| ControlPoint ()
| ControlPoint (const osg::Vec3d &position)
| ControlPoint (const osg::Vec3d &position, const osg::Quat &rotation)
| ControlPoint (const osg::Vec3d &position, const osg::Quat &rotation, const osg::Vec3d &scale)
void | setPosition (const osg::Vec3d &position)
const osg::Vec3d & | getPosition () const
void | setRotation (const osg::Quat &rotation)
const osg::Quat & | getRotation () const
void | setScale (const osg::Vec3d &scale)
const osg::Vec3d & | getScale () const
void | interpolate (float ratio, const ControlPoint &first, const ControlPoint &second)
void | interpolate (double ratio, const ControlPoint &first, const ControlPoint &second)
void | getMatrix (Matrixf &matrix) const
void | getMatrix (Matrixd &matrix) const
void | getInverse (Matrixf &matrix) const
void | getInverse (Matrixd &matrix) const

## Protected Attributes

osg::Vec3d | _position
osg::Quat | _rotation
osg::Vec3d | _scale

## Constructor & Destructor Documentation

## ControlPoint() [1/4]

osg::AnimationPath::ControlPoint::ControlPoint | ( |  | ) |

inline

References _scale.

Referenced by interpolate(), and interpolate().

## ControlPoint() [2/4]

osg::AnimationPath::ControlPoint::ControlPoint | ( | const osg::Vec3d & | position | ) |

inline

References _position, _rotation, and _scale.

## ControlPoint() [3/4]

osg::AnimationPath::ControlPoint::ControlPoint | ( | const osg::Vec3d & | position,
|  | const osg::Quat & | rotation )

inline

References _position, _rotation, and _scale.

## ControlPoint() [4/4]

osg::AnimationPath::ControlPoint::ControlPoint | ( | const osg::Vec3d & | position,
|  | const osg::Quat & | rotation,
|  | const osg::Vec3d & | scale )

inline

References _position, _rotation, and _scale.

## Member Function Documentation

## getInverse() [1/2]

void osg::AnimationPath::ControlPoint::getInverse | ( | Matrixd & | matrix | ) | const

inline

References _position, _rotation, _scale, osg::Matrixd::makeRotate(), osg::Matrixd::postMultScale(), and osg::Matrixd::preMultTranslate().

## getInverse() [2/2]

void osg::AnimationPath::ControlPoint::getInverse | ( | Matrixf & | matrix | ) | const

inline

References _position, _rotation, _scale, osg::Matrixf::makeRotate(), osg::Matrixf::postMultScale(), and osg::Matrixf::preMultTranslate().

Referenced by osg::AnimationPath::getInverse(), and osg::AnimationPath::getInverse().

## getMatrix() [1/2]

void osg::AnimationPath::ControlPoint::getMatrix | ( | Matrixd & | matrix | ) | const

inline

References _position, _rotation, _scale, osg::Matrixd::makeRotate(), osg::Matrixd::postMultTranslate(), and osg::Matrixd::preMultScale().

## getMatrix() [2/2]

void osg::AnimationPath::ControlPoint::getMatrix | ( | Matrixf & | matrix | ) | const

inline

References _position, _rotation, _scale, osg::Matrixf::makeRotate(), osg::Matrixf::postMultTranslate(), and osg::Matrixf::preMultScale().

Referenced by osg::AnimationPath::getMatrix(), and osg::AnimationPath::getMatrix().

## getPosition()

const osg::Vec3d & osg::AnimationPath::ControlPoint::getPosition | ( |  | ) | const

inline

References _position.

## getRotation()

const osg::Quat & osg::AnimationPath::ControlPoint::getRotation | ( |  | ) | const

inline

References _rotation.

## getScale()

const osg::Vec3d & osg::AnimationPath::ControlPoint::getScale | ( |  | ) | const

inline

References _scale.

## interpolate() [1/2]

void osg::AnimationPath::ControlPoint::interpolate | ( | double | ratio,
|  | const ControlPoint & | first,
|  | const ControlPoint & | second )

inline

References _position, _rotation, _scale, and ControlPoint().

## interpolate() [2/2]

void osg::AnimationPath::ControlPoint::interpolate | ( | float | ratio,
|  | const ControlPoint & | first,
|  | const ControlPoint & | second )

inline

References _position, _rotation, _scale, and ControlPoint().

## setPosition()

void osg::AnimationPath::ControlPoint::setPosition | ( | const osg::Vec3d & | position | ) |

inline

References _position.

## setRotation()

void osg::AnimationPath::ControlPoint::setRotation | ( | const osg::Quat & | rotation | ) |

inline

References _rotation.

## setScale()

void osg::AnimationPath::ControlPoint::setScale | ( | const osg::Vec3d & | scale | ) |

inline

References _scale.

## Member Data Documentation

## _position

osg::Vec3d osg::AnimationPath::ControlPoint::_position

protected

Referenced by ControlPoint(), ControlPoint(), ControlPoint(), getInverse(), getInverse(), getMatrix(), getMatrix(), getPosition(), interpolate(), interpolate(), and setPosition().

## _rotation

osg::Quat osg::AnimationPath::ControlPoint::_rotation

protected

Referenced by ControlPoint(), ControlPoint(), ControlPoint(), getInverse(), getInverse(), getMatrix(), getMatrix(), getRotation(), interpolate(), interpolate(), and setRotation().

## _scale

osg::Vec3d osg::AnimationPath::ControlPoint::_scale

protected

Referenced by ControlPoint(), ControlPoint(), ControlPoint(), ControlPoint(), getInverse(), getInverse(), getMatrix(), getMatrix(), getScale(), interpolate(), interpolate(), and setScale().

The documentation for this class was generated from the following file:

- AnimationPath